| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IGslSvc Class Reference

`#include <GaudiGSL/IGslSvc.h>`

Inheritance diagram for IGslSvc:

[legend]
Collaboration diagram for IGslSvc:

[legend]
List of all members.

## Detailed Description

The abstract interface to "deal" with GNU Scientific Library (GLS) The main task is the error handling.

Could be extended in future to cover other aspects as well.

Author:
  Vanya Belyaev Ivan.Belyaev@itep.ru

Date:
  29/04/2002

Definition at line 20 of file IGslSvc.h.

## Public Types
typedef void(*) | GslErrorHandler (const char *, const char *, int, int)
| type definition of "standard" GSL error handler functions
## Public Member Functions
virtual StatusCode | handle (const GslError &error) const =0
| handle the GSL error
virtual GslErrorHandler | handler () const=0
| retrieve the current GSL error handler
virtual GslErrorHandler | setHandler (GslErrorHandler handler) const =0
| set new GSL error handler
virtual StatusCode | status (const int error) const =0
| transform GSL error code to Gaudi status code
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| retrieve the unique interface identifier (static method) unique interface identifier
## Protected Member Functions
virtual | ~IGslSvc ()
| destructor (virtual and protected)

## Member Typedef Documentation

typedef void(*) IGslSvc::GslErrorHandler(const char *, const char *, int, int)

type definition of "standard" GSL error handler functions

Parameters:

  | reason | error reason (message)
  | file | file name
  | line | line number
  | code | error code

Definition at line 31 of file IGslSvc.h.

## Constructor & Destructor Documentation

virtual IGslSvc::~IGslSvc | ( |  | ) | `[inline, protected, virtual]`

destructor (virtual and protected)

Definition at line 72 of file IGslSvc.h.

    00072 {} ;

## Member Function Documentation

static const InterfaceID& IGslSvc::interfaceID | ( |  | ) | `[inline, static]`

retrieve the unique interface identifier (static method) unique interface identifier

Reimplemented from IService.

Definition at line 42 of file IGslSvc.h.

References IID_IGslSvc.

Referenced by GslSvc::queryInterface().

    00042 { return IID_IGslSvc ; }

virtual StatusCode IGslSvc::handle | ( | const GslError & | error | ) | const`[pure virtual]`

handle the GSL error

Parameters:

  | error | error to be handled

See also:
  GslError

Returns:
  status code

Implemented in GslSvc.

Referenced by GslErrorHandlers::handleTheError().

virtual GslErrorHandler IGslSvc::handler | ( |  | ) | const`[pure virtual]`

retrieve the current GSL error handler

Returns:
  current GSL error handler

Implemented in GslSvc.

virtual GslErrorHandler IGslSvc::setHandler | ( | GslErrorHandler | handler | ) | const`[pure virtual]`

set new GSL error handler

Parameters:

  | handler | new GSL error handler

Returns:
  GSL error handler

virtual StatusCode IGslSvc::status | ( | const int | error | ) | const`[pure virtual]`

transform GSL error code to Gaudi status code

Parameters:

  | error | GLS error code

Returns:
  status code

Implemented in GslSvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/GaudiGSL/IGslSvc.h